#ifndef ATL_zGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,280,440,520,600,720,760,800,880,1200
 * N : 25,120,280,440,520,600,720,760,800,880,1200
 * NB : 9,12,12,12,12,16,12,12,24,40,40
 */
#define ATL_zGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 9; \
   else if ((n_) < 560) (nb_) = 12; \
   else if ((n_) < 660) (nb_) = 16; \
   else if ((n_) < 780) (nb_) = 12; \
   else if ((n_) < 840) (nb_) = 24; \
   else (nb_) = 40; \
}


#endif    /* end ifndef ATL_zGetNB_geqrf */
